Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.security
Class SecurityAuditEvent

    java.lang.Object
      org.jivesoftware.openfire.security.SecurityAuditEvent

    public class SecurityAuditEvent

extends Object

Representation of a single security event retrieved from the logs. This should include any information that you would need regarding the event.

Author:
  Daniel Henninger

Constructor Summary
`SecurityAuditEvent()`

Method Summary
`String` | `getDetails()` Retrieves detailed information about what occurred in the event.
`Date` | `getEventStamp()` Retrieves the time stamp of when this event occurred.
`long` | `getMsgID()` Retrieves the unique ID of this event.
`String` | `getNode()` Retrieves the node that triggered the event, usually a hostname or IP address.
`String` | `getSummary()` Returns the summary, or short description of what transpired in the event.
`String` | `getUsername()` Retrieves the username of the user who performed this event.
`void` | `setDetails(String details)` Sets the detailed information about what occured in the event.
`void` | `setEventStamp(Date eventStamp)` Sets the time stamp of when this event occurred.
`void` | `setMsgID(long msgID)` Sets the unique ID of this event.
`void` | `setNode(String node)` Sets the node that triggered the event, usually a hostname or IP address.
`void` | `setSummary(String summary)` Sets the summary, or short description of what transpired in the event.
`void` | `setUsername(String username)` Sets the username of the user who performed this event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityAuditEvent

    public SecurityAuditEvent()

Method Detail

### getMsgID

    public long getMsgID()

  Retrieves the unique ID of this event.

  Returns:
    the ID.

### setMsgID

    public void setMsgID(long msgID)

  Sets the unique ID of this event.

  Parameters:
    `msgID` - the ID.

### getUsername

    public String getUsername()

  Retrieves the username of the user who performed this event.

  Returns:
    the username.

### setUsername

    public void setUsername(String username)

  Sets the username of the user who performed this event.

  Parameters:
    `username` - Username of user.

### getEventStamp

    public Date getEventStamp()

  Retrieves the time stamp of when this event occurred.

  Returns:
    The time stamp as a Date object.

### setEventStamp

    public void setEventStamp(Date eventStamp)

  Sets the time stamp of when this event occurred.

  Parameters:
    `eventStamp` - The time stamp as a Date object.

### getSummary

    public String getSummary()

  Returns the summary, or short description of what transpired in the event.

  Returns:
    The summary.

### setSummary

    public void setSummary(String summary)

  Sets the summary, or short description of what transpired in the event.

  Parameters:
    `summary` - The summary.

### getNode

    public String getNode()

  Retrieves the node that triggered the event, usually a hostname or IP address.

  Returns:
    The node.

### setNode

    public void setNode(String node)

  Sets the node that triggered the event, usually a hostname or IP address.

  Parameters:
    `node` - Hostname or IP address.

### getDetails

    public String getDetails()

  Retrieves detailed information about what occurred in the event.

  Returns:
    The possibly long details of the event. Can be null.

### setDetails

    public void setDetails(String details)

  Sets the detailed information about what occured in the event.

  Parameters:
    `details` - The possibly long details of the event. Can be null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.